﻿
'FBWFMonitorNET
'SJJ Embedded Micro Solutions
'Copyright (c) 2007-2010 SJJ Micro Solutions, LLC.    All Rights Reserved


Imports FBWFNET.SJJEMS.FBWFAPI

Public Class frmFBWFMonitorNET

    Sub FBWFStatusUpdate()

        Dim sResult As String

        'FBWF State
        sResult = FBWFStatus(Nothing)
        Select Case sResult

            Case "00"
                txtCurrentState.Text = "Disabled"
                txtNextState.Text = "Disabled"
            Case "01"
                txtCurrentState.Text = "Disabled"
                txtNextState.Text = "Enabled"
            Case "10"
                txtCurrentState.Text = "Enabled"
                txtNextState.Text = "Disabled"
            Case "11"
                txtCurrentState.Text = "Enabled"
                txtNextState.Text = "Enabled"
            Case "Error"
                txtResult.Text = "Error getting FBWF Status"

        End Select

        'Cache Status
        sResult = FBWFCacheStatus(Nothing)
        Select Case sResult

            Case "00"
                txtCacheStatus.Text = "Disabled"
                txtCachenextStatus.Text = "Disabled"
            Case "01"
                txtCacheStatus.Text = "Disabled"
                txtCachenextStatus.Text = "Enabled"
            Case "10"
                txtCacheStatus.Text = "Enabled"
                txtCachenextStatus.Text = "Disabled"
            Case "11"
                txtCacheStatus.Text = "Enabled"
                txtCachenextStatus.Text = "Enabled"
            Case "Error"
                txtResult.Text = "Error getting FBWF Cache Status"

        End Select

        'Compression Status
        sResult = FBWFCompressionStatus(Nothing)
        Select Case sResult

            Case "00"
                txtCompressionStatus.Text = "Disabled"
                txtCompressionNextStatus.Text = "Disabled"
            Case "01"
                txtCompressionStatus.Text = "Disabled"
                txtCompressionNextStatus.Text = "Enabled"
            Case "10"
                txtCompressionStatus.Text = "Enabled"
                txtCompressionNextStatus.Text = "Disabled"
            Case "11"
                txtCompressionStatus.Text = "Enabled"
                txtCompressionNextStatus.Text = "Enabled"
            Case "Error"
                txtResult.Text = "Error getting FBWF Compression Status"

        End Select


    End Sub




    Private Sub btnEnable_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnable.Click
        Dim sResult As String

        sResult = FBWFEnable(Nothing)
        txtResult.Text = sResult
        FBWFStatusUpdate()

    End Sub

    Private Sub btnDisable_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisable.Click
        Dim sResult As String

        sResult = FBWFDisable(Nothing)
        txtResult.Text = sResult
        FBWFStatusUpdate()
    End Sub

    Private Sub btnEnableCacheCompression_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnableCacheCompression.Click
        Dim sResult As String

        sResult = FBWFEnableCompression(Nothing)
        txtResult.Text = sResult
        FBWFStatusUpdate()
    End Sub

    Private Sub btnDisableCacheCompression_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisableCacheCompression.Click
        Dim sResult As String

        sResult = FBWFDisableCompression(Nothing)
        txtResult.Text = sResult
        FBWFStatusUpdate()
    End Sub

    Private Sub btnEnableCache_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnableCache.Click
        Dim sResult As String

        sResult = FBWFEnableCache(Nothing)
        txtResult.Text = sResult
        FBWFStatusUpdate()
    End Sub

    Private Sub btnDisableCache_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisableCache.Click
        Dim sResult As String

        sResult = FBWFDisableCache(Nothing)
        txtResult.Text = sResult
        FBWFStatusUpdate()
    End Sub

    Private Sub frmFBWFMonitorNET_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        FBWFStatusUpdate()

    End Sub
End Class
